import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;


export default class T48 extends Component
{

    name='48'
    desp = "Period for Presentation in Days"
    
    pattern = ""
    tno = -1
keys=[1,2,]

    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        
        let mval = ""

        if(obj.s1)
            mval =   obj.s1 
        if(obj.s2)
            mval =  mval +'/' + obj.s2 
        
        this.props.onValue([obj,mval])
    }

    render()
    {
         let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

         return (
        <div>
        <Row>
                    <Col style={{"minWidth":'100px'}} span={5}>
                        <FormItem
                            label="Days"
                                  required={this.props.status=='M' || mval?'required':null}
                                    help={errmsg.s1}
                                        validateStatus={errmsg.s1?'error':null}
                        >
                        <Input type= "number" maxLength={3} style={{imeMode:'disabled'}} placeholder="Days" value={value.s1} onChange={(e)=>this.onChange(1,e.target.value)}/>

                                
                        </FormItem>
                    </Col>
        </Row>
        <Row>
            <Col>
            <FormItem
                 label="Narrative"  
                  help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >
                        
                        <Input  maxLength={35} style={{imeMode:'disabled'}} placeholder="Narrative" value={value.s2} onChange={(e)=>this.onChange(2,e.target.value)}/>
                </FormItem>
            
            </Col>
        </Row>
        </div>
        )
    }
}